Bug 196785 - [new port] lang/lci: the original LOLCODE interpreter
Summary: [new port] lang/lci: the original LOLCODE interpreter
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-15 20:35 UTC by Maxim Filimonov
Modified: 2015-01-25 13:09 UTC (History)
2 users (show)

See Also:


Attachments
.shar for the port (1.29 KB, text/plain; charset=us-ascii)
2015-01-16 13:16 UTC, Maxim Filimonov
no flags Details
Updated the .shar: fixed pkg-descr formatting (1.28 KB, text/plain; charset=us-ascii)
2015-01-16 13:53 UTC, Maxim Filimonov
no flags Details
Added the final version of the .shar (1.25 KB, patch)
2015-01-21 19:54 UTC, Maxim Filimonov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Filimonov 2015-01-15 20:35:26 UTC
The ports tree misses lci -- the original LOLCODE interpreter. I made a port for it. You can find the port there: https://github.com/part1zano/lci-freebsd-port. Btw, I'm ready to maintain that port.
Comment 1 Maxim Filimonov 2015-01-16 13:16:49 UTC
Created attachment 151737 [details]
.shar for the port

Added the .shar for the port.
Comment 2 Maxim Filimonov 2015-01-16 13:50:46 UTC
Comment on attachment 151737 [details]
.shar for the port

># This is a shell archive.  Save it in a file, remove anything before
># this line, and then unpack it by entering "sh file".  Note, it may
># create directories; files and directories will be owned by you and
># have default permissions.
>#
># This archive contains:
>#
>#	Makefile
>#	distinfo
>#	pkg-descr
>#	pkg-plist
>#
>echo x - Makefile
>sed 's/^X//' >Makefile << 'b67911656ef5d18c4ae36cb6741b7965'
>X# $FreeBSD$
>X#
>X
>XPORTNAME = lci
>XPORTVERSION = 1.2
>XCATEGORIES = devel
>X
>XMAINTAINER = che@bein.link
>XCOMMENT = The original LOLCODE interpreter
>X
>XLICENSE = BSD3CLAUSE
>X
>XUSE_GITHUB = yes
>XGH_ACCOUNT = justinmeza
>XGH_COMMIT = e017dc6
>XGH_TAGNAME = ${GH_COMMIT}
>X
>XUSES = cmake
>XCMAKE_SOURCE_PATH = ${WRKSRC}
>X
>X.include <bsd.port.mk>
>b67911656ef5d18c4ae36cb6741b7965
>echo x - distinfo
>sed 's/^X//' >distinfo << '57677d168a5ec21bdf22c9501f075a8f'
>XSHA256 (lci-1.2.tar.gz) = b19098bb440f20f25d22f346dea22354d93c44b3e900b6b9dc0f4025e55e48d8
>XSIZE (lci-1.2.tar.gz) = 303011
>57677d168a5ec21bdf22c9501f075a8f
>echo x - pkg-descr
>sed 's/^X//' >pkg-descr << '7f9555c3c1089940396b503dd37f3979'
>XThis is the original LOLCODE interpreter. See http://lolcode.org for details.
>7f9555c3c1089940396b503dd37f3979
>echo x - pkg-plist
>sed 's/^X//' >pkg-plist << '842cde48cf18b70a11b15515ca566742'
>Xbin/lci
>842cde48cf18b70a11b15515ca566742
>exit
>
Comment 3 Maxim Filimonov 2015-01-16 13:53:12 UTC
Created attachment 151739 [details]
Updated the .shar: fixed pkg-descr formatting
Comment 4 Maxim Filimonov 2015-01-21 19:54:56 UTC
Created attachment 151987 [details]
Added the final version of the .shar
Comment 5 Johannes Jost Meixner freebsd_committer 2015-01-24 10:28:48 UTC
I'll take it.
Comment 6 commit-hook freebsd_committer 2015-01-25 11:27:25 UTC
A commit references this bug:

Author: xmj
Date: Sun Jan 25 11:27:08 UTC 2015
New revision: 377881
URL: https://svnweb.freebsd.org/changeset/ports/377881

Log:
  lang/lci: Add port.

  This is the original LOLCODE interpreter.

  WWW: http://lolcode.org

  PR:			196785
  Differential Revision:	https://reviews.freebsd.org/D1632
  Submitted by:		Maxim Filimonov <che@bein.link>
  Approved by:		koobs (mentor)

Changes:
  head/lang/Makefile
  head/lang/lci/
  head/lang/lci/Makefile
  head/lang/lci/distinfo
  head/lang/lci/pkg-descr
Comment 7 Johannes Jost Meixner freebsd_committer 2015-01-25 13:09:47 UTC
Committed, thanks!